#!/bin/sh
# mise à jour TeXgraph version linux, arguments:
version=$1 	#numéro de version
prefix="$2" 	#chemin d'accès au dossier TeXgraph ex: "/usr/local" ou "$HOME"

bureau="$HOME/Bureau"
test ! -d "$HOME/Bureau" && bureau="$HOME/Desktop"
if  [ $prefix = "/usr/local" ]
then #on a fait une install en root
	if test ! -w "/usr/local"
	then
		echo "Vous devez etre en root pour cette mise à jour!"
		exit 0
	fi
	texgraphpath="$prefix/share/TeXgraph"
	binpath="$prefix/bin"
	test -d "$prefix/share/texmf" || mkdir "$prefix/share/texmf"
	texmfpath="$prefix/share/texmf"
	desktoppath="/usr/share/applications"
	iconpath="/usr/share/icons"
else #on a fait une install en local
        test ! -d "$HOME/bin" && mkdir "$HOME/bin"
	test ! -d "$HOME/texmf" && mkdir "$HOME/texmf"
	texgraphpath="$prefix/TeXgraph"
	binpath="$HOME/bin"
	texmfpath="$HOME/texmf"
	desktoppath="$bureau"
	if test ! -d "$HOME/.icons"
	then 
		mkdir "$HOME/.icons"
	fi
	iconpath="$HOME/.icons"
fi

cd TeXgraph$version	
# copie du fichier texgraph.sty et TeXgraph.pdf
echo "installation du package texgraph.sty  dans $texmfpath/tex/latex/TeXgraph..."
test -d "$texmfpath"/tex || mkdir "$texmfpath"/tex
test -d "$texmfpath"/tex/latex || mkdir "$texmfpath"/tex/latex
test -d "$texmfpath"/tex/latex/TeXgraph || mkdir "$texmfpath"/tex/latex/TeXgraph
cp -f texgraph.sty "$texmfpath"/tex/latex/TeXgraph
test -d "$texmfpath"/doc || mkdir "$texmfpath"/doc
test -d "$texmfpath"/doc/TeXgraph || mkdir "$texmfpath"/doc/TeXgraph
cp -f TeXgraph/doc/TeXgraph.pdf "$texmfpath"/doc/TeXgraph
texhash
# copie des exécutables et cie
echo "installation des executables et Cie  dans $texgraphpath..."
test -d "$texgraphpath" && rm -rf "$texgraphpath"
mkdir "$texgraphpath"
cp -r TeXgraph/* "$texgraphpath"
# génération des 3 scripts
echo "generation des scripts dans $binpath..."
echo "#!/bin/sh
export TeXgraphDir=\"$texgraphpath\"
export TeXgraphDocDir=\"$texgraphpath/doc\"
export PATH=\"$texgraphpath:$PATH\"
\"\$TeXgraphDir\"/TeXgraph \"\$1\"" > $binpath/startTeXgraph
chmod 755 $binpath/startTeXgraph
echo "#!/bin/sh
export TeXgraphDir=\"$texgraphpath\"
export PATH=\"$texgraphpath:$PATH\"
\"\$TeXgraphDir\"/TeXgraphCmd \$1 \$2 \"\$3\" > \"\$3.log\"" >$binpath/CmdTeXgraph
chmod 755 $binpath/CmdTeXgraph
echo "#!/bin/sh
# destruction du fichier texgraph.sty
echo \"destruction du package texgraph.sty...\"
test -d \"$texmfpath/tex/latex/TeXgraph\" && rm -rf \"$texmfpath/tex/latex/TeXgraph\"
test -d \"$texmfpath/doc/TeXgraph\" && rm -rf \"$texmfpath/doc/TeXgraph\"
texhash
# destruction des executables et cie
echo \"destruction des executables et Cie...\"
test -d \"$texgraphpath\" && rm -rf \"$texgraphpath\"
# destruction des 3 scripts
echo \"destruction des scripts startTeXgraph, CmdTeXgraph et uninstallTeXgraph...\"
rm -f \"$binpath\"/startTeXgraph
rm -f \"$binpath\"/CmdTeXgraph
rm -f \"$binpath\"/uninstallTeXgraph
rm -f \"$desktoppath\"/TeXgraph$version.desktop
rm -f \"$iconpath\"/TeXgraphIco.png
rm -f \"$bureau\"/$TeXgraph$version.desktop
echo \"Done\"" >$binpath/uninstallTeXgraph
chmod 755 $binpath/uninstallTeXgraph

#pour le menu
echo "[Desktop Entry]
Encoding=UTF-8
Version=$version
Type=Application
Terminal=false
Name[fr_FR]=TeXgraph$version
GenericName=TeXgraph $version
Comment=Logiciel de dessin mathematiques pour LateX
Exec=startTeXgraph
Icon=$iconpath/TeXgraphIco.png" > "$desktoppath"/TeXgraph$version.desktop
chmod 755 "$desktoppath"/TeXgraph$version.desktop

cp -f TeXgraphIco.png  "$iconpath"
# rm -rf TeXgraph$version
